#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_with	locktests	# lock-dependent tests currently fail

Summary:	An easy, secure backup program
Name:		obnam
Version:	1.9
Release:	2
License:	GPL v3+
Group:		Networking/Utilities
Source0:	http://code.liw.fi/debian/pool/main/o/obnam/%{name}_%{version}.orig.tar.gz
# Source0-md5:	6d01cde8eca96ddee4174e599d7ed349
URL:		http://obnam.org/
# build-time
BuildRequires:	attr-devel
#BuildRequires:	cmdtest
#BuildRequires:	genbackupdata
#BuildRequires:	python-devel
#BuildRequires:	summain
# build- and run-time dependencies
BuildRequires:	attr
BuildRequires:	python-PyYAML
BuildRequires:	python-cliapp
BuildRequires:	python-larch
#BuildRequires:	python-paramiko
BuildRequires:	python-tracing
#BuildRequires:	python-ttystatus
Requires:	attr
Requires:	python-PyYAML
Requires:	python-cliapp
Requires:	python-larch
Requires:	python-paramiko
Requires:	python-tracing
Requires:	python-ttystatus
%{?with_tests:BuildRequires:	python-coverage-test-runner}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Obnam is an easy, secure backup program. Backups can be stored on
local hard disks, or online via the SSH SFTP protocol. The backup
server, if used, does not require any special software, on top of SSH.

Some features that may interest you:
 - Snapshot backups. Every generation looks like a complete snapshot,
   so you don't need to care about full versus incremental backups, or
   rotate real or virtual tapes.
 - Data de-duplication, across files, and backup generations. If the
   backup repository already contains a particular chunk of data, it will
   be re-used, even if it was in another file in an older backup
   generation. This way, you don't need to worry about moving around
   large files, or modifying them.
 - Encrypted backups, using GnuPG.

Obnam can do push or pull backups, depending on what you need. You can
run Obnam on the client, and push backups to the server, or on the
server, and pull from the client over SFTP. However, access to live
data over SFTP is currently somewhat limited and fragile, so it is not
recommended.

%prep
%setup -q

%if %{without locktests}
# lock-dependent tests currently fails; need to debug
for t in test-locking crash-test; do
	mv $t{,.off}
	ln -s /bin/true $t
done
%endif

%build
# run tests before build. it alters build dir
# (use different build dirs?)
%if %{with tests}
./check --unit-tests
%endif

CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

# internal tests
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/obnamlib/*_tests.py*

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/obnam*
%{_mandir}/man1/obnam*.1*
%{py_sitedir}/obnam-%{version}-py*.egg-info
%dir %{py_sitedir}/obnamlib
%{py_sitedir}/obnamlib/*.py[co]
%attr(755,root,root) %{py_sitedir}/obnamlib/_obnam.so
%{py_sitedir}/obnamlib/fmt_*
%dir %{py_sitedir}/obnamlib/plugins
%{py_sitedir}/obnamlib/plugins/__init__.py[co]
%{py_sitedir}/obnamlib/plugins/*_plugin.py[co]
%changelog
* Thu Jun 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/obnam.git;a=log;h=master

* Thu Jun 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 85d9b17
- rel 2; add python-PyYAML to deps

* Thu Jun 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e12aa2
- move python-coverage-test-runner to tests bcond

* Thu Jun 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1348b3f
- up to 1.9

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> f6c79b4
- package missing dir
- rel 2

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> 132030b
- new, version 1.6.1

